# pydicom.config.DS_decimal

pydicom.config.DS_decimal(use_Decimal_boolean: bool = True) → None

  Set DS class to be derived from `decimal.Decimal` or `float`.

  If this function is never called, the default in pydicom >= 0.9.8 is for DS to be based on `float`.

  Parameters:

    use_Decimal_boolean (bool, optional) – `True` (default) to derive `DS` from `decimal.Decimal`, `False` to derive it from `float`.

  Raises:

    ValueError – If use_Decimal_boolean and `use_DS_numpy` are both `True`.